source: trunk/dports/gis

Revision Log Mode:


Legend:

Added
Modified
Copied or renamed
Diff Rev Age Author Log Message
(edit) @95190   7 years ryandesign qgis: don't overwrite the portgroups' build dependencies
(edit) @95188   7 years vince Also add cmake as a build dependency.
(edit) @95186   7 years vince Add bison as a build dependency
(edit) @95167   7 years vince Bump to 1.8.0, delete obsolete patches and add one to workaround a …
(edit) @94856   7 years cal qlandkartegt: update to 1.5.0, maintainer, closes #35050
(edit) @94769   7 years takeshi New port proj47. projects.h needed by grass (#34981) and cdo (#34991) …
(edit) @94438   7 years stromnov gdal: convert tabs to spaces
(edit) @94432   7 years stromnov gdal: add openmaintainer (with the permission of the owner)
(edit) @94431   7 years stromnov proj: update to version 4.8.0 (#34924)
(edit) @94430   7 years stromnov proj: convert tabs to spaces
(edit) @94429   7 years stromnov proj: add openmaintainer (with the permission of the owner)
(edit) @94373   7 years ryandesign qlandkartegt: maintainer update to 1.4.2 (#34888)
(edit) @93426   7 years stromnov gdal: fix for PrintGif error (#34541; maintainer request)
(edit) @93333   7 years mmoll gdal: remove cruft that got accidentally committed
(edit) @93321   7 years mmoll gdal: revbump to force re-build against hdf5-18 v1.8.9
(edit) @93207   7 years vince Make PostGIS 2.0 default and fixes a conflict between default_variants.
(edit) @92848   7 years jmr grass: add pkgconfig dep
(edit) @92466   7 years vince Makes both postgis variants conflict
(edit) @92465   7 years vince Add a new variant for PostGIS 2.0
(edit) @92196   8 years macsforever2000 gdal: Add postgresql91 variant. (#32451)
(edit) @91542   8 years vince Substitutes tabs by groups of 4 spaces. Adjust comment accordingly.
(edit) @91463   8 years vince Disable port (outdated, incompatible with newest Boost, and moreover …
(edit) @91418   8 years vince Adjust TABs to 4 spaces.
(edit) @91416   8 years vince Fixes some issues: 1. Makes default variant conditional (as per …
(edit) @91397   8 years vince Makes the port compile without any variant by defaulting to postgresql91
(edit) @91395   8 years vince Further improvements (conflicts, detection of configuration errors…)
(edit) @91391   8 years vince Add explicit variants to choose between postgresql90 and postgresql91 …
(edit) @91389   8 years vince Bump to 1.7.4 and hopefully solves a lot of issues
(edit) @91314   8 years vince Further suggestions as in #33649
(edit) @91306   8 years vince Bump to 4.0. Thanks to all.
(edit) @90821   8 years ryandesign cgal: fix build with boost 1.49.0; see #33298
(edit) @90565   8 years jmr pgRouting: use cmake portgroup, which fixes failure to parse with …
(edit) @90247   8 years ryandesign qlandkartegt: maintainer update to 1.4.0; see #33371
(edit) @89335   8 years and.damore port gdal maintainer timeout: adding +poppler variant, closing ticket …
(edit) @89313   8 years and.damore port gdal maintainer timeout: update to 1.9.0, closing ticket #32972
(edit) @89052   8 years dports qlandkartegt: maintainer update to v1.3.2 (#32831)
(edit) @88687   8 years dports gdal: license
(edit) @87796   8 years takeshi libproj4: lproj was renamed lproj4 to resolve collision with lproj of vtk5
(edit) @87714   8 years ryandesign qlandkarte: maintainer update to 1.3.1; license; #32363
(edit) @87615   8 years ryandesign cgal: prevent build failure when old version is active; see #31562
(edit) @87360   8 years jmr qgis: fix typo
(edit) @87359   8 years jmr qgis: fix parse failure by deferring check for postgresql
(edit) @87346   8 years vince qgis: Remove some python ugly stuff and set python27 and postgis …
(edit) @87345   8 years vince Bumps to version 1.7; I cannot get a build with spatialite enabled, so …
(edit) @87107   8 years ryandesign cgal: update to 3.9, use gcc-4.2 instead of 4.0 and when demos variant …
(edit) @87062   8 years ryandesign qlandkartegt: maintainer update to 1.3.0; see #31981
(edit) @86279   8 years ryandesign rewrite master_sites to avoid redirects
(edit) @85049   8 years takeshi revision revamp due to the update of netcdf to 4.1.3 (r80310). See …
(edit) @84512   8 years snc modelines
(edit) @84257   8 years ryandesign qlandkartegt: maintainer update to 1.2.4; see #31344
(edit) @84073   8 years jmr proj: license
(edit) @84016   8 years ryandesign qlandkartegt: add gpsd and libdmtx dependencies; see #31263
(edit) @83996   8 years jmr New port: qlandkartegt-garmindev, qlandkartegt driver plugins for …
(edit) @83926   8 years jmr New port: qlandkartegt (#26772)
(edit) @78082   9 years vince Update to version 3.8
(edit) @76852   9 years vince Add several tweaks to make the Portfile more compliant to accepted …
(edit) @76805   9 years vince Solves some bugs: - It is now possible to build against a python …
(edit) @76686   9 years vince This commit fixes four bugs: 1. Bug when selected python version was …
(edit) @76678   9 years vince I forgot to add this patchfile while committing ! :(
(edit) @76566   9 years vince Fixes a wrong scope in the post-configure phase.
(edit) @76526   9 years vince Updates for grass 6.4.0 (latest version)
(edit) @75952   9 years jmr gdal: make expat variant default (#22911), remove duplicate configure arg
(edit) @75521   9 years vince gdal: add patch forgotten in r75520
(edit) @75520   9 years vince Bump to version 1.8, add various options (Python 2.7, OpenCL support)
(edit) @75159   9 years rmstonecipher graphics/libpng upgraded version from 1.2.44 to 1.4.5 per ticket …
(edit) @74992   9 years ryandesign grass: update to 6.4.0; re-add mesa dependency (see #26355); add …
(edit) @74991   9 years ryandesign Allow -devel versions of ports to satisfy dependencies
(edit) @74406   9 years vince Second part of updating gdal pre-build system.
(edit) @74405   9 years vince Replace a fixed patch by an ed script.
(edit) @74171   9 years vince Remove a no-more-needeed patchfile
(edit) @74170   9 years vince Bump to version 1.6
(edit) @74126   9 years vince Forgot to reset revision #
(edit) @74125   9 years vince Sequel to 1.7.3
(edit) @74124   9 years vince gdal: Bump to vesion 1.7.3
(edit) @74078   9 years vince cgal: Bump to version 3.7
(edit) @74077   9 years vince gdal: Update to version 1.7.2
(edit) @72611   9 years michaelld Removed redundant dependency on cmake.
(edit) @72596   9 years michaelld Changes to use qt4 portgroup.
(edit) @72595   9 years michaelld Changes to use qt4 portgroup.
(edit) @72594   9 years michaelld Changes to use qt4 portgroup.
(edit) @71090   9 years ryandesign Add modeline
(edit) @69914   9 years vince Commit patch to build demos
(edit) @69520   9 years jmr update openssl to 1.0.0a and rev bump dependents (#25114, maintainer …
(edit) @69518   9 years vince Update to 3.6.1
(edit) @69266   9 years michaelld Added description to demos variant (per lint request).
(edit) @69245   9 years michaelld Correct use of qt4-mac dependency.
(edit) @69244   9 years michaelld Correct use of qt4-mac files.
(edit) @69224   9 years michaelld Fix qt4-mac depends, use of CoreFoundation, and destroot install.
(edit) @68933   9 years vinc17 revbump due to the upgrade to MPFR 3.0.0 (libmpfr.1.dylib changed to …
(edit) @68089   9 years macsforever2000 Depend on openmotif instead of lesstif. (#24960)
(edit) @67835   9 years ryandesign grass: revert an erroneous change from r67833: don't hardcode …
(edit) @67833   9 years takeshi grass: updated to 6.4.0 RC6
(edit) @67650   9 years vince
(edit) @67649   9 years vince Ticket #24455
(edit) @67606   9 years vince Correction of some bugs, it works fine now
(edit) @67576   9 years vince Bump to release 3.6
(edit) @67185   9 years macsforever2000 Add missing dependency on mesa. (#24739)
(edit) @65993   10 years takeshi libproj4: fixed a problem building of ppc64
(edit) @64763   10 years nox Update jpeg to 8a and rev-bump all of its direct dependents (#23260)
(edit) @64712   10 years ryandesign Set svn:keywords to Id per current guidelines
Note: See TracRevisionLog for help on using the revision log.